# rename

abstract fun rename(closure: Closure): CopyProcessingSpec

Renames a source file. The closure will be called with a single parameter, the name of the file. The closure should return a String object with a new target name. The closure may return null, in which case the original name will be used.

#### Return

this

#### Parameters

closure

rename closure

abstract fun rename(renamer: Transformer<@Nullable String, String>): CopyProcessingSpec

Renames a source file. The function will be called with a single parameter, the name of the file. The function should return a new target name. The function may return null, in which case the original name will be used.

#### Return

this

#### Parameters

renamer

rename function

abstract fun rename(sourceRegEx: String, replaceWith: String): CopyProcessingSpec

Renames files based on a regular expression. Uses java.util.regex type of regular expressions. Note that the replace string should use the '$1' syntax to refer to capture groups in the source regular expression. Files that do not match the source regular expression will be copied with the original name.

Example:

    rename '(.*)_OEM_BLUE_(.*)', '$1$2'

Content copied to clipboard
would map the file 'style_OEM_BLUE_.css' to 'style.css'

#### Return

this

#### Parameters

sourceRegEx

Source regular expression

replaceWith

Replacement string (use $ syntax for capture groups)

abstract fun rename(sourceRegEx: Pattern, replaceWith: String): CopyProcessingSpec

Renames files based on a regular expression. See rename.

#### Return

this

#### Parameters

sourceRegEx

Source regular expression

replaceWith

Replacement string (use $ syntax for capture groups)